export interface BaseBuildProps {
    /**
     * Executable name to pass to `--bin`
     */
    readonly bin?: string;
    /**
     * Workspace package name to pass to `--package`
     */
    readonly package?: string;
    /**
     * The target to use `cross` to compile to.
     *
     * Normally you'll need to first add the target to your toolchain:
     *    $ rustup target add <target>
     *
     * The target defaults to `x86_64-unknown-linux-musl` if not passed.
     */
    readonly target?: string;
}
/**
 * Build options
 */
export interface BuildOptions extends BaseBuildProps {
    /**
     * Entry file
     */
    readonly entry: string;
    /**
     * The output directory
     */
    readonly outDir: string;
    readonly target: string;
}
/**
 * Build with Parcel
 */
export declare function build(options: BuildOptions): void;
