"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = void 0;
const child_process_1 = require("child_process");
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
/**
 * Build with Parcel
 */
function build(options) {
    try {
        let outputName;
        let extra_args;
        // Build binary
        if (options.bin) {
            outputName = options.bin;
            extra_args = ['--bin', outputName];
        }
        // Build package - i.e. workspace member
        else {
            outputName = options.package;
            extra_args = ['--package', outputName];
        }
        const args = [
            'build',
            '--release',
            '--target',
            options.target,
            ...extra_args,
        ];
        const cross = child_process_1.spawnSync('cross', args, {
            cwd: options.entry,
        });
        if (cross.error) {
            throw cross.error;
        }
        if (cross.status !== 0) {
            throw new Error(cross.stderr.toString().trim());
        }
        let from = path.join(options.entry, 'target', options.target, 'release', outputName);
        let to = path.join(options.outDir, 'bootstrap');
        fs.copyFileSync(from, to);
    }
    catch (err) {
        throw new Error(`Failed to build file at ${options.entry}: ${err}`);
    }
}
exports.build = build;
